/**
 * @author WanJl
 * @version 1.0
 * @title Demo05
 * @description 课堂练习： 给定整数 12345，使用 while 循环求其各位数字之和并输出（1+2+3+4+5）
 * @create 2026/7/15
 */
public class Demo05 {
    public static void main(String[] args) {
        int n=12345;
        //先尝试获取 个位的数字
        //System.out.println(n%10);   //就是 n%10
        int sum=0;  //用来记录累加和
        while (n!=0){
            //1、获取个位的值,然后累计到sum
            sum+=n%10;  //n%10 得到个位的值，然后累加到sum
            //2、缩小10倍
            n/=10;  //每次都除以10，缩小10倍
        }
        System.out.println(sum);
    }
}
